# Makefile for the plain.tex, lplain.tex and webmac.tex fonts in the
# Computer Modern family.
# Based on the gf300.makefile
# contributed by John Ramsdell of the MITRE Corp., Bedford, MA.

# You can change the resolution for all magsteps with a single line
# modeled on make depend.
#		 make magsteps "DPI=nnn" "MODE=mmmm"
# where nnn is the DPI resolution
# of your printer.
# The *.mf files must be present in or linked in this directory.
# Sorry about that.
#
# Check the following lines out for compatibility with your system
# Invoke this with make "MF=mymf"  to get special
# effects.  For instance, to make the gf300w fonts, the
# call would be:    make all "MODE=RicohFourZeroEightZero"

BIN	= /usr/local/bin
MFBIN	= $(BIN)
MF	= mf
MFBASE	= /usr/local/lib/mf/bases
OPT	= scrollmode
#CMDLINE	= MFBASES=${MFBASE} ; export MFBASES ; $(MFBIN)/$(MF) '\mode:=$(MODE);' '$(OPT);'
CMDLINE	= MFBASES=${MFBASE} ; export MFBASES ; $(MFBIN)/$(MF) '\mode:=$(MODE);'


# BEGIN MAGSTEPS DO NOT DELETE THIS LINE
# OR THIS LINE--the following macros are generated by make magsteps
DPI	=  300
MODE	=  hplaser
DPI_MAGHALF	=  329
DPI_MAGONE	=  360
DPI_MAGHALFONE	=  394
DPI_MAGTWO	=  432
DPI_MAGTHREE	=  518
DPI_MAGFOUR	=  622
DPI_MAGFIVE	=  746
# END MAGSTEPS DO NOT DELETE THIS LINE EITHER

PKDIR	= /usr/local/lib/tex/fonts/${DPI}pk
TFMDIR	= /usr/local/lib/tex/fonts/tfm

.SUFFIXES: .mf .${DPI}gf 
.SUFFIXES: .${DPI_MAGHALF}gf .${DPI_MAGONE}gf .${DPI_MAGTWO}gf .${DPI_MAGTHREE}gf .${DPI_MAGFOUR}gf .${DPI_MAGFIVE}gf

.mf.${DPI}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI}; then mkdir ${PKDIR}/${DPI}; fi)
	(if test ! -f ${PKDIR}/${DPI}/$*.pk; then \
	$(CMDLINE) input $* </dev/null; \
	gftopk -v $*.${DPI}gf ${PKDIR}/${DPI}/$*.pk; \
	rm $*.${DPI}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI}gf; \
	fi)

.mf.${DPI_MAGHALF}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI_MAGHALF}; then mkdir ${PKDIR}/${DPI_MAGHALF}; fi)
	(if test ! -f ${PKDIR}/${DPI_MAGHALF}/$*.pk; then \
	$(CMDLINE) 'mag:=magstep(0.5);' input $* </dev/null; \
	gftopk -v $*.${DPI_MAGHALF}gf ${PKDIR}/${DPI_MAGHALF}/$*.pk; \
	rm $*.${DPI_MAGHALF}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI_MAGHALF}gf; \
	fi)

.mf.${DPI_MAGONE}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI_MAGONE}; then mkdir ${PKDIR}/${DPI_MAGONE}; fi)
	(if test ! -f ${PKDIR}/${DPI_MAGONE}/$*.pk; then \
	$(CMDLINE) 'mag:=magstep(1.0);' input $* </dev/null; \
	gftopk -v $*.${DPI_MAGONE}gf ${PKDIR}/${DPI_MAGONE}/$*.pk; \
	rm $*.${DPI_MAGONE}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI_MAGONE}gf; \
	fi)

.mf.${DPI_MAGTWO}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI_MAGTWO}; then mkdir ${PKDIR}/${DPI_MAGTWO}; fi)
	(if test ! -f ${PKDIR}/${DPI_MAGTWO}/$*.pk; then \
	$(CMDLINE) 'mag:=magstep(2.0);' input $* </dev/null; \
	gftopk -v $*.${DPI_MAGTWO}gf ${PKDIR}/${DPI_MAGTWO}/$*.pk; \
	rm $*.${DPI_MAGTWO}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI_MAGTWO}gf; \
	fi)

.mf.${DPI_MAGTHREE}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI_MAGTHREE}; then mkdir ${PKDIR}/${DPI_MAGTHREE}; fi)
	(if test ! -f ${PKDIR}/${DPI_MAGTHREE}/$*.pk; then \
	$(CMDLINE) 'mag:=magstep(3.0);' input $* </dev/null; \
	gftopk -v $*.${DPI_MAGTHREE}gf ${PKDIR}/${DPI_MAGTHREE}/$*.pk; \
	rm $*.${DPI_MAGTHREE}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI_MAGTHREE}gf; \
	fi)

.mf.${DPI_MAGFOUR}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI_MAGFOUR}; then mkdir ${PKDIR}/${DPI_MAGFOUR}; fi)
	(if test ! -f ${PKDIR}/${DPI_MAGFOUR}/$*.pk; then \
	$(CMDLINE) 'mag:=magstep(4.0);' input $* </dev/null; \
	gftopk -v $*.${DPI_MAGFOUR}gf ${PKDIR}/${DPI_MAGFOUR}/$*.pk; \
	rm $*.${DPI_MAGFOUR}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI_MAGFOUR}gf; \
	fi)

.mf.${DPI_MAGFIVE}gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${DPI_MAGFIVE}; then mkdir ${PKDIR}/${DPI_MAGFIVE}; fi)
	(if test ! -f ${PKDIR}/${DPI_MAGFIVE}/$*.pk; then \
	$(CMDLINE) 'mag:=magstep(5.0);' input $* </dev/null; \
	gftopk -v $*.${DPI_MAGFIVE}gf ${PKDIR}/${DPI_MAGFIVE}/$*.pk; \
	rm $*.${DPI_MAGFIVE}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	touch $*.${DPI_MAGFIVE}gf; \
	fi)


NOMAG	= cmbsy10.${DPI}gf \
		cmbx10.${DPI}gf cmbx12.${DPI}gf \
		cmbx5.${DPI}gf cmbx6.${DPI}gf cmbx7.${DPI}gf cmbx8.${DPI}gf cmbx9.${DPI}gf \
		cmcsc10.${DPI}gf \
		cmdunh10.${DPI}gf cmex10.${DPI}gf \
		cmmi10.${DPI}gf cmmi12.${DPI}gf \
		cmmi5.${DPI}gf cmmi6.${DPI}gf cmmi7.${DPI}gf cmmi8.${DPI}gf cmmi9.${DPI}gf \
		cmmib10.${DPI}gf \
		cmr10.${DPI}gf cmr12.${DPI}gf cmr17.${DPI}gf \
		cmr5.${DPI}gf cmr6.${DPI}gf cmr7.${DPI}gf cmr8.${DPI}gf cmr9.${DPI}gf \
		cmsl10.${DPI}gf cmsl12.${DPI}gf cmsl8.${DPI}gf cmsl9.${DPI}gf \
		cmsltt10.${DPI}gf \
		cmss10.${DPI}gf cmss12.${DPI}gf cmss17.${DPI}gf cmssbx10.${DPI}gf \
		cmssi10.${DPI}gf cmssi12.${DPI}gf cmssi17.${DPI}gf \
		cmssq8.${DPI}gf cmssqi8.${DPI}gf \
		cmsy10.${DPI}gf \
		cmsy5.${DPI}gf cmsy6.${DPI}gf cmsy7.${DPI}gf cmsy8.${DPI}gf cmsy9.${DPI}gf \
		cmtex10.${DPI}gf cmtex9.${DPI}gf \
		cmti10.${DPI}gf cmti12.${DPI}gf cmti7.${DPI}gf cmti8.${DPI}gf cmti9.${DPI}gf \
		cmtt10.${DPI}gf cmtt12.${DPI}gf cmtt8.${DPI}gf cmtt9.${DPI}gf \
		cmu10.${DPI}gf \
		cmapl10.${DPI}gf cmb10.${DPI}gf cmbxsl10.${DPI}gf cmbxti10.${DPI}gf cmex9.${DPI}gf \
		cmff10.${DPI}gf cmfi10.${DPI}gf cmfib8.${DPI}gf cmitt10.${DPI}gf cmss8.${DPI}gf \
		cmss9.${DPI}gf cmsscm10.${DPI}gf cmssi8.${DPI}gf cmssi9.${DPI}gf cmtcsc10.${DPI}gf \
		cmtex8.${DPI}gf cmvtt10.${DPI}gf

MAGHALF	= cmbx10.${DPI_MAGHALF}gf cmmi10.${DPI_MAGHALF}gf cmr10.${DPI_MAGHALF}gf cmsl10.${DPI_MAGHALF}gf \
		cmss10.${DPI_MAGHALF}gf cmsy10.${DPI_MAGHALF}gf cmti10.${DPI_MAGHALF}gf cmtt10.${DPI_MAGHALF}gf \
		cmapl10.${DPI_MAGHALF}gf cmb10.${DPI_MAGHALF}gf cmbxsl10.${DPI_MAGHALF}gf cmbxti10.${DPI_MAGHALF}gf cmex9.${DPI_MAGHALF}gf \
		cmff10.${DPI_MAGHALF}gf cmfi10.${DPI_MAGHALF}gf cmfib8.${DPI_MAGHALF}gf cmitt10.${DPI_MAGHALF}gf cmss8.${DPI_MAGHALF}gf \
		cmss9.${DPI_MAGHALF}gf cmsscm10.${DPI_MAGHALF}gf cmssi8.${DPI_MAGHALF}gf cmssi9.${DPI_MAGHALF}gf cmtcsc10.${DPI_MAGHALF}gf \
		cmtex8.${DPI_MAGHALF}gf cmvtt10.${DPI_MAGHALF}gf

MAGONE	= cmsy10.${DPI_MAGONE}gf \
		cmapl10.${DPI_MAGONE}gf cmb10.${DPI_MAGONE}gf cmbxsl10.${DPI_MAGONE}gf cmbxti10.${DPI_MAGONE}gf cmex9.${DPI_MAGONE}gf \
		cmff10.${DPI_MAGONE}gf cmfi10.${DPI_MAGONE}gf cmfib8.${DPI_MAGONE}gf cmitt10.${DPI_MAGONE}gf cmss8.${DPI_MAGONE}gf \
		cmss9.${DPI_MAGONE}gf cmsscm10.${DPI_MAGONE}gf cmssi8.${DPI_MAGONE}gf cmssi9.${DPI_MAGONE}gf cmtcsc10.${DPI_MAGONE}gf \
		cmtex8.${DPI_MAGONE}gf cmvtt10.${DPI_MAGONE}gf

MAGTWO	= cmbx10.${DPI_MAGTWO}gf cmmi10.${DPI_MAGTWO}gf cmr10.${DPI_MAGTWO}gf cmssbx10.${DPI_MAGTWO}gf \
		cmsy10.${DPI_MAGTWO}gf cmtt10.${DPI_MAGTWO}gf \
		cmapl10.${DPI_MAGTWO}gf cmb10.${DPI_MAGTWO}gf cmbxsl10.${DPI_MAGTWO}gf cmbxti10.${DPI_MAGTWO}gf cmex9.${DPI_MAGTWO}gf \
		cmff10.${DPI_MAGTWO}gf cmfi10.${DPI_MAGTWO}gf cmfib8.${DPI_MAGTWO}gf cmitt10.${DPI_MAGTWO}gf cmss8.${DPI_MAGTWO}gf \
		cmss9.${DPI_MAGTWO}gf cmsscm10.${DPI_MAGTWO}gf cmssi8.${DPI_MAGTWO}gf cmssi9.${DPI_MAGTWO}gf cmtcsc10.${DPI_MAGTWO}gf \
		cmtex8.${DPI_MAGTWO}gf cmvtt10.${DPI_MAGTWO}gf

MAGTHREE = cmbx10.${DPI_MAGTHREE}gf cmsy10.${DPI_MAGTHREE}gf \
		cmapl10.${DPI_MAGTHREE}gf cmb10.${DPI_MAGTHREE}gf cmbxsl10.${DPI_MAGTHREE}gf cmbxti10.${DPI_MAGTHREE}gf cmex9.${DPI_MAGTHREE}gf \
		cmff10.${DPI_MAGTHREE}gf cmfi10.${DPI_MAGTHREE}gf cmfib8.${DPI_MAGTHREE}gf cmitt10.${DPI_MAGTHREE}gf cmss8.${DPI_MAGTHREE}gf \
		cmss9.${DPI_MAGTHREE}gf cmsscm10.${DPI_MAGTHREE}gf cmssi8.${DPI_MAGTHREE}gf cmssi9.${DPI_MAGTHREE}gf cmtcsc10.${DPI_MAGTHREE}gf \
		cmtex8.${DPI_MAGTHREE}gf cmvtt10.${DPI_MAGTHREE}gf

MAGFOUR = cmbx10.${DPI_MAGFOUR}gf cmmi10.${DPI_MAGFOUR}gf cmr10.${DPI_MAGFOUR}gf cmr7.${DPI_MAGFOUR}gf cmsy10.${DPI_MAGFOUR}gf \
		cmapl10.${DPI_MAGFOUR}gf cmb10.${DPI_MAGFOUR}gf cmbxsl10.${DPI_MAGFOUR}gf cmbxti10.${DPI_MAGFOUR}gf cmex9.${DPI_MAGFOUR}gf \
		cmff10.${DPI_MAGFOUR}gf cmfi10.${DPI_MAGFOUR}gf cmfib8.${DPI_MAGFOUR}gf cmitt10.${DPI_MAGFOUR}gf cmss8.${DPI_MAGFOUR}gf \
		cmss9.${DPI_MAGFOUR}gf cmsscm10.${DPI_MAGFOUR}gf cmssi8.${DPI_MAGFOUR}gf cmssi9.${DPI_MAGFOUR}gf cmtcsc10.${DPI_MAGFOUR}gf \
		cmtex8.${DPI_MAGFOUR}gf cmvtt10.${DPI_MAGFOUR}gf

MAGFIVE	= cmbx10.${DPI_MAGFIVE}gf cmr10.${DPI_MAGFIVE}gf \
		cmapl10.${DPI_MAGFIVE}gf cmb10.${DPI_MAGFIVE}gf cmbxsl10.${DPI_MAGFIVE}gf cmbxti10.${DPI_MAGFIVE}gf cmex9.${DPI_MAGFIVE}gf \
		cmff10.${DPI_MAGFIVE}gf cmfi10.${DPI_MAGFIVE}gf cmfib8.${DPI_MAGFIVE}gf cmitt10.${DPI_MAGFIVE}gf cmss8.${DPI_MAGFIVE}gf \
		cmss9.${DPI_MAGFIVE}gf cmsscm10.${DPI_MAGFIVE}gf cmssi8.${DPI_MAGFIVE}gf cmssi9.${DPI_MAGFIVE}gf cmtcsc10.${DPI_MAGFIVE}gf \
		cmtex8.${DPI_MAGFIVE}gf cmvtt10.${DPI_MAGFIVE}gf

FONTS = $(NOMAG) $(MAGHALF) $(MAGONE) $(MAGTWO) $(MAGTHREE) \
	$(MAGFOUR) $(MAGFIVE)

all:	$(FONTS)

# Nice bit of self-reference here, as DPI uses itself to recreate itself
#
magsteps:
	(base=$(DPI) ; \
	mode=$(MODE) ; \
	echo "DPI	= " $$base > magvals ; \
	echo "MODE	= " $$mode >> magvals ; \
	i=`/bin/expr $$base \* 95445` ; \
	j=`/bin/expr $$base \* 1000000 + $$i + 500000` ; \
	maghalf=`/bin/expr $$j / 1000000` ; \
	echo "DPI_MAGHALF	= " $$maghalf >> magvals ; \
	i=`/bin/expr  $$base \* 2` ; j=`/bin/expr $$base \* 10 + $$i + 5` ; magone=`/bin/expr $$j / 10` ; \
	echo "DPI_MAGONE	= " $$magone >> magvals ; \
	i=`/bin/expr  $$magone \* 95445` ; j=`/bin/expr $$magone \* 1000000 + $$i + 500000` ; \
	maghalfone=`/bin/expr $$j / 1000000` ; \
	echo "DPI_MAGHALFONE	= " $$maghalfone >> magvals ; \
	i=`/bin/expr  $$magone \* 2` ; j=`/bin/expr $$magone \* 10 + $$i + 5` ; \
	magtwo=`/bin/expr $$j / 10` ; echo "DPI_MAGTWO	= " $$magtwo >> magvals ; \
	i=`/bin/expr  $$magtwo \* 2` ; j=`/bin/expr $$magtwo \* 10 + $$i + 5` ; \
	magthree=`/bin/expr $$j / 10` ; echo "DPI_MAGTHREE	= " $$magthree >> magvals ; \
	i=`/bin/expr  $$magthree \* 2` ; j=`/bin/expr $$magthree \* 10 + $$i + 5` ; \
	magfour=`/bin/expr $$j / 10` ; echo "DPI_MAGFOUR	= " $$magfour >> magvals ; \
	i=`/bin/expr  $$magfour \* 2` ; j=`/bin/expr $$magfour \* 10 + $$i + 5` ; \
	magfive=`/bin/expr $$j / 10` ; echo "DPI_MAGFIVE	= " $$magfive >> magvals ; \
	echo "# END MAGSTEPS DO NOT DELETE THIS LINE EITHER" >> magvals)
	cp CMfonts.make CMfonts.bak
	(if [ "$(DPI)" = "240" ]; then \
	sed -e "s/598/597/g" magvals > magvals.tmp; \
	mv magvals.tmp magvals; \
	fi) 
	echo '/^# BEGIN MAGSTEPS/+2,/^# END MAGSTEPS/d|-1r magvals |w' | ex CMfonts.make
#	echo '/^# DO NOT DELETE THIS LINE/+2,$$d|w' | ex CMfonts.make
#	echo '# GENERATED DEPENDENCIES MUST BE AT EOF' >> CMfonts.make
#	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> CMfonts.make

# DO NOT DELETE THIS LINE
# OR THIS LINE--the following rules are generated by make depend
# GENERATED DEPENDENCIES MUST BE AT EOF
# IF YOU PUT STUFF HERE IT WILL GO AWAY
