# Makefile for the plain.tex, lplain.tex and webmac.tex fonts in the
# Computer Modern family.
# Based on the gf300.makefile
# contributed by John Ramsdell of the MITRE Corp., Bedford, MA.

# You can change the resolution for all magsteps with a single line
# modeled on make depend.
#		 make magsteps "DPI=nnn" "MODE=mmmm"
# where nnn is the DPI resolution
# of your printer.
# The *.mf files must be present in or linked in this directory.
# Sorry about that.
#
# Check the following lines out for compatibility with your system
# Invoke this with make "MF=mymf"  to get special
# effects.  For instance, to make the gf300w fonts, the
# call would be:    make all "MODE=RicohFourZeroEightZero"

BIN	= /usr/local/bin
MFBIN	= $(BIN)
MF	= mf
MFBASE	= /usr/local/lib/mf/bases
OPT	= scrollmode
#CMDLINE	= MFBASES=${MFBASE} ; export MFBASES ; $(MFBIN)/$(MF) '\mode:=$(MODE);' '$(OPT);'
CMDLINE	= MFBASES=${MFBASE} ; export MFBASES ; $(MFBIN)/$(MF) '\mode:=$(MODE);'

# BEGIN MAGSTEPS DO NOT DELETE THIS LINE
# OR THIS LINE--the following macros are generated by make magsteps
DPI	=  300
MODE	=  hplaser
TEN_AT_FIVE	=  150
TEN_AT_SIX	=  180
TEN_AT_SEVEN	=  210
TEN_AT_EIGHT	=  240
TEN_AT_NINE	=  270
# END MAGSTEPS DO NOT DELETE THIS LINE EITHER

PKDIR	= /usr/local/lib/tex/fonts/${DPI}pk
TFMDIR	= /usr/local/lib/tex/fonts/tfm

.SUFFIXES: .mf .${TEN_AT_FIVE}gf .${TEN_AT_SIX}gf
.SUFFIXES: .${TEN_AT_SEVEN}gf .${TEN_AT_EIGHT}gf .${TEN_AT_NINE}gf 

.mf.$(TEN_AT_FIVE)gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${TEN_AT_FIVE}; then mkdir ${PKDIR}/${TEN_AT_FIVE}; fi)
	(if test ! -f ${PKDIR}/${TEN_AT_FIVE}/$*.pk; then \
	$(CMDLINE) 'mag:=5/10;' input $* </dev/null; \
	gftopk -v $*.${TEN_AT_FIVE}gf ${PKDIR}/${TEN_AT_FIVE}/$*.pk; \
	rm $*.${TEN_AT_FIVE}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	fi)

.mf.$(TEN_AT_SIX)gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${TEN_AT_SIX}; then mkdir ${PKDIR}/${TEN_AT_SIX}; fi)
	(if test ! -f ${PKDIR}/${TEN_AT_SIX}/$*.pk; then \
	$(CMDLINE) 'mag:=6/10;' input $* </dev/null; \
	gftopk -v $*.${TEN_AT_SIX}gf ${PKDIR}/${TEN_AT_SIX}/$*.pk; \
	rm $*.${TEN_AT_SIX}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	fi)

.mf.$(TEN_AT_SEVEN)gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${TEN_AT_SEVEN}; then mkdir ${PKDIR}/${TEN_AT_SEVEN}; fi)
	(if test ! -f ${PKDIR}/${TEN_AT_SEVEN}/$*.pk; then \
	$(CMDLINE) 'mag:=7/10;' input $* </dev/null; \
	gftopk -v $*.${TEN_AT_SEVEN}gf ${PKDIR}/${TEN_AT_SEVEN}/$*.pk; \
	rm $*.${TEN_AT_SEVEN}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	fi)

.mf.$(TEN_AT_EIGHT)gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${TEN_AT_EIGHT}; then mkdir ${PKDIR}/${TEN_AT_EIGHT}; fi)
	(if test ! -f ${PKDIR}/${TEN_AT_EIGHT}/$*.pk; then \
	$(CMDLINE) 'mag:=8/10;' input $* </dev/null; \
	gftopk -v $*.${TEN_AT_EIGHT}gf ${PKDIR}/${TEN_AT_EIGHT}/$*.pk; \
	rm $*.${TEN_AT_EIGHT}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	fi)

.mf.$(TEN_AT_NINE)gf:
	(if test ! -d ${PKDIR}; then mkdir ${PKDIR}; fi)
	(if test ! -d ${PKDIR}/${TEN_AT_NINE}; then mkdir ${PKDIR}/${TEN_AT_NINE}; fi)
	(if test ! -f ${PKDIR}/${TEN_AT_NINE}/$*.pk; then \
	$(CMDLINE) 'mag:=9/10;' input $* </dev/null; \
	gftopk -v $*.${TEN_AT_NINE}gf ${PKDIR}/${TEN_AT_NINE}/$*.pk; \
	rm $*.${TEN_AT_NINE}gf $*.log; \
	mv $*.tfm ${TFMDIR}/$*.tfm; \
	fi)

TATFIVE	= cmbsy10.${TEN_AT_FIVE}gf \
		cmbx10.${TEN_AT_FIVE}gf cmbx12.${TEN_AT_FIVE}gf \
		cmbx5.${TEN_AT_FIVE}gf cmbx6.${TEN_AT_FIVE}gf cmbx7.${TEN_AT_FIVE}gf cmbx8.${TEN_AT_FIVE}gf cmbx9.${TEN_AT_FIVE}gf \
		cmcsc10.${TEN_AT_FIVE}gf \
		cmdunh10.${TEN_AT_FIVE}gf cmex10.${TEN_AT_FIVE}gf \
		cmmi10.${TEN_AT_FIVE}gf cmmi12.${TEN_AT_FIVE}gf \
		cmmi5.${TEN_AT_FIVE}gf cmmi6.${TEN_AT_FIVE}gf cmmi7.${TEN_AT_FIVE}gf cmmi8.${TEN_AT_FIVE}gf cmmi9.${TEN_AT_FIVE}gf \
		cmmib10.${TEN_AT_FIVE}gf \
		cmr10.${TEN_AT_FIVE}gf cmr12.${TEN_AT_FIVE}gf cmr17.${TEN_AT_FIVE}gf \
		cmr5.${TEN_AT_FIVE}gf cmr6.${TEN_AT_FIVE}gf cmr7.${TEN_AT_FIVE}gf cmr8.${TEN_AT_FIVE}gf cmr9.${TEN_AT_FIVE}gf \
		cmsl10.${TEN_AT_FIVE}gf cmsl12.${TEN_AT_FIVE}gf cmsl8.${TEN_AT_FIVE}gf cmsl9.${TEN_AT_FIVE}gf \
		cmsltt10.${TEN_AT_FIVE}gf \
		cmss10.${TEN_AT_FIVE}gf cmss12.${TEN_AT_FIVE}gf cmss17.${TEN_AT_FIVE}gf cmssbx10.${TEN_AT_FIVE}gf \
		cmssi10.${TEN_AT_FIVE}gf cmssi12.${TEN_AT_FIVE}gf cmssi17.${TEN_AT_FIVE}gf \
		cmssq8.${TEN_AT_FIVE}gf cmssqi8.${TEN_AT_FIVE}gf \
		cmsy10.${TEN_AT_FIVE}gf \
		cmsy5.${TEN_AT_FIVE}gf cmsy6.${TEN_AT_FIVE}gf cmsy7.${TEN_AT_FIVE}gf cmsy8.${TEN_AT_FIVE}gf cmsy9.${TEN_AT_FIVE}gf \
		cmtex10.${TEN_AT_FIVE}gf cmtex9.${TEN_AT_FIVE}gf \
		cmti10.${TEN_AT_FIVE}gf cmti12.${TEN_AT_FIVE}gf cmti7.${TEN_AT_FIVE}gf cmti8.${TEN_AT_FIVE}gf cmti9.${TEN_AT_FIVE}gf \
		cmtt10.${TEN_AT_FIVE}gf cmtt12.${TEN_AT_FIVE}gf cmtt8.${TEN_AT_FIVE}gf cmtt9.${TEN_AT_FIVE}gf \
		cmu10.${TEN_AT_FIVE}gf \
		cmapl10.${TEN_AT_FIVE}gf cmb10.${TEN_AT_FIVE}gf cmbxsl10.${TEN_AT_FIVE}gf cmbxti10.${TEN_AT_FIVE}gf cmex9.${TEN_AT_FIVE}gf \
		cmff10.${TEN_AT_FIVE}gf cmfi10.${TEN_AT_FIVE}gf cmfib8.${TEN_AT_FIVE}gf cmitt10.${TEN_AT_FIVE}gf cmss8.${TEN_AT_FIVE}gf \
		cmss9.${TEN_AT_FIVE}gf cmssdc10.${TEN_AT_FIVE}gf cmssi8.${TEN_AT_FIVE}gf cmssi9.${TEN_AT_FIVE}gf cmtcsc10.${TEN_AT_FIVE}gf \
		cmtex8.${TEN_AT_FIVE}gf cmvtt10.${TEN_AT_FIVE}gf

TATSIX	= cmbsy10.${TEN_AT_SIX}gf \
		cmbx10.${TEN_AT_SIX}gf cmbx12.${TEN_AT_SIX}gf \
		cmbx5.${TEN_AT_SIX}gf cmbx6.${TEN_AT_SIX}gf cmbx7.${TEN_AT_SIX}gf cmbx8.${TEN_AT_SIX}gf cmbx9.${TEN_AT_SIX}gf \
		cmcsc10.${TEN_AT_SIX}gf \
		cmdunh10.${TEN_AT_SIX}gf cmex10.${TEN_AT_SIX}gf \
		cmmi10.${TEN_AT_SIX}gf cmmi12.${TEN_AT_SIX}gf \
		cmmi5.${TEN_AT_SIX}gf cmmi6.${TEN_AT_SIX}gf cmmi7.${TEN_AT_SIX}gf cmmi8.${TEN_AT_SIX}gf cmmi9.${TEN_AT_SIX}gf \
		cmmib10.${TEN_AT_SIX}gf \
		cmr10.${TEN_AT_SIX}gf cmr12.${TEN_AT_SIX}gf cmr17.${TEN_AT_SIX}gf \
		cmr5.${TEN_AT_SIX}gf cmr6.${TEN_AT_SIX}gf cmr7.${TEN_AT_SIX}gf cmr8.${TEN_AT_SIX}gf cmr9.${TEN_AT_SIX}gf \
		cmsl10.${TEN_AT_SIX}gf cmsl12.${TEN_AT_SIX}gf cmsl8.${TEN_AT_SIX}gf cmsl9.${TEN_AT_SIX}gf \
		cmsltt10.${TEN_AT_SIX}gf \
		cmss10.${TEN_AT_SIX}gf cmss12.${TEN_AT_SIX}gf cmss17.${TEN_AT_SIX}gf cmssbx10.${TEN_AT_SIX}gf \
		cmssi10.${TEN_AT_SIX}gf cmssi12.${TEN_AT_SIX}gf cmssi17.${TEN_AT_SIX}gf \
		cmssq8.${TEN_AT_SIX}gf cmssqi8.${TEN_AT_SIX}gf \
		cmsy10.${TEN_AT_SIX}gf \
		cmsy5.${TEN_AT_SIX}gf cmsy6.${TEN_AT_SIX}gf cmsy7.${TEN_AT_SIX}gf cmsy8.${TEN_AT_SIX}gf cmsy9.${TEN_AT_SIX}gf \
		cmtex10.${TEN_AT_SIX}gf cmtex9.${TEN_AT_SIX}gf \
		cmti10.${TEN_AT_SIX}gf cmti12.${TEN_AT_SIX}gf cmti7.${TEN_AT_SIX}gf cmti8.${TEN_AT_SIX}gf cmti9.${TEN_AT_SIX}gf \
		cmtt10.${TEN_AT_SIX}gf cmtt12.${TEN_AT_SIX}gf cmtt8.${TEN_AT_SIX}gf cmtt9.${TEN_AT_SIX}gf \
		cmu10.${TEN_AT_SIX}gf \
		cmapl10.${TEN_AT_SIX}gf cmb10.${TEN_AT_SIX}gf cmbxsl10.${TEN_AT_SIX}gf cmbxti10.${TEN_AT_SIX}gf cmex9.${TEN_AT_SIX}gf \
		cmff10.${TEN_AT_SIX}gf cmfi10.${TEN_AT_SIX}gf cmfib8.${TEN_AT_SIX}gf cmitt10.${TEN_AT_SIX}gf cmss8.${TEN_AT_SIX}gf \
		cmss9.${TEN_AT_SIX}gf cmssdc10.${TEN_AT_SIX}gf cmssi8.${TEN_AT_SIX}gf cmssi9.${TEN_AT_SIX}gf cmtcsc10.${TEN_AT_SIX}gf \
		cmtex8.${TEN_AT_SIX}gf cmvtt10.${TEN_AT_SIX}gf

TATSVN	= cmbsy10.${TEN_AT_SEVEN}gf \
		cmbx10.${TEN_AT_SEVEN}gf cmbx12.${TEN_AT_SEVEN}gf \
		cmbx5.${TEN_AT_SEVEN}gf cmbx6.${TEN_AT_SEVEN}gf cmbx7.${TEN_AT_SEVEN}gf cmbx8.${TEN_AT_SEVEN}gf cmbx9.${TEN_AT_SEVEN}gf \
		cmcsc10.${TEN_AT_SEVEN}gf \
		cmdunh10.${TEN_AT_SEVEN}gf cmex10.${TEN_AT_SEVEN}gf \
		cmmi10.${TEN_AT_SEVEN}gf cmmi12.${TEN_AT_SEVEN}gf \
		cmmi5.${TEN_AT_SEVEN}gf cmmi6.${TEN_AT_SEVEN}gf cmmi7.${TEN_AT_SEVEN}gf cmmi8.${TEN_AT_SEVEN}gf cmmi9.${TEN_AT_SEVEN}gf \
		cmmib10.${TEN_AT_SEVEN}gf \
		cmr10.${TEN_AT_SEVEN}gf cmr12.${TEN_AT_SEVEN}gf cmr17.${TEN_AT_SEVEN}gf \
		cmr5.${TEN_AT_SEVEN}gf cmr6.${TEN_AT_SEVEN}gf cmr7.${TEN_AT_SEVEN}gf cmr8.${TEN_AT_SEVEN}gf cmr9.${TEN_AT_SEVEN}gf \
		cmsl10.${TEN_AT_SEVEN}gf cmsl12.${TEN_AT_SEVEN}gf cmsl8.${TEN_AT_SEVEN}gf cmsl9.${TEN_AT_SEVEN}gf \
		cmsltt10.${TEN_AT_SEVEN}gf \
		cmss10.${TEN_AT_SEVEN}gf cmss12.${TEN_AT_SEVEN}gf cmss17.${TEN_AT_SEVEN}gf cmssbx10.${TEN_AT_SEVEN}gf \
		cmssi10.${TEN_AT_SEVEN}gf cmssi12.${TEN_AT_SEVEN}gf cmssi17.${TEN_AT_SEVEN}gf \
		cmssq8.${TEN_AT_SEVEN}gf cmssqi8.${TEN_AT_SEVEN}gf \
		cmsy10.${TEN_AT_SEVEN}gf \
		cmsy5.${TEN_AT_SEVEN}gf cmsy6.${TEN_AT_SEVEN}gf cmsy7.${TEN_AT_SEVEN}gf cmsy8.${TEN_AT_SEVEN}gf cmsy9.${TEN_AT_SEVEN}gf \
		cmtex10.${TEN_AT_SEVEN}gf cmtex9.${TEN_AT_SEVEN}gf \
		cmti10.${TEN_AT_SEVEN}gf cmti12.${TEN_AT_SEVEN}gf cmti7.${TEN_AT_SEVEN}gf cmti8.${TEN_AT_SEVEN}gf cmti9.${TEN_AT_SEVEN}gf \
		cmtt10.${TEN_AT_SEVEN}gf cmtt12.${TEN_AT_SEVEN}gf cmtt8.${TEN_AT_SEVEN}gf cmtt9.${TEN_AT_SEVEN}gf \
		cmu10.${TEN_AT_SEVEN}gf \
		cmapl10.${TEN_AT_SEVEN}gf cmb10.${TEN_AT_SEVEN}gf cmbxsl10.${TEN_AT_SEVEN}gf cmbxti10.${TEN_AT_SEVEN}gf cmex9.${TEN_AT_SEVEN}gf \
		cmff10.${TEN_AT_SEVEN}gf cmfi10.${TEN_AT_SEVEN}gf cmfib8.${TEN_AT_SEVEN}gf cmitt10.${TEN_AT_SEVEN}gf cmss8.${TEN_AT_SEVEN}gf \
		cmss9.${TEN_AT_SEVEN}gf cmssdc10.${TEN_AT_SEVEN}gf cmssi8.${TEN_AT_SEVEN}gf cmssi9.${TEN_AT_SEVEN}gf cmtcsc10.${TEN_AT_SEVEN}gf \
		cmtex8.${TEN_AT_SEVEN}gf cmvtt10.${TEN_AT_SEVEN}gf

TATEIGHT= cmbsy10.${TEN_AT_EIGHT}gf \
		cmbx10.${TEN_AT_EIGHT}gf cmbx12.${TEN_AT_EIGHT}gf \
		cmbx5.${TEN_AT_EIGHT}gf cmbx6.${TEN_AT_EIGHT}gf cmbx7.${TEN_AT_EIGHT}gf cmbx8.${TEN_AT_EIGHT}gf cmbx9.${TEN_AT_EIGHT}gf \
		cmcsc10.${TEN_AT_EIGHT}gf \
		cmdunh10.${TEN_AT_EIGHT}gf cmex10.${TEN_AT_EIGHT}gf \
		cmmi10.${TEN_AT_EIGHT}gf cmmi12.${TEN_AT_EIGHT}gf \
		cmmi5.${TEN_AT_EIGHT}gf cmmi6.${TEN_AT_EIGHT}gf cmmi7.${TEN_AT_EIGHT}gf cmmi8.${TEN_AT_EIGHT}gf cmmi9.${TEN_AT_EIGHT}gf \
		cmmib10.${TEN_AT_EIGHT}gf \
		cmr10.${TEN_AT_EIGHT}gf cmr12.${TEN_AT_EIGHT}gf cmr17.${TEN_AT_EIGHT}gf \
		cmr5.${TEN_AT_EIGHT}gf cmr6.${TEN_AT_EIGHT}gf cmr7.${TEN_AT_EIGHT}gf cmr8.${TEN_AT_EIGHT}gf cmr9.${TEN_AT_EIGHT}gf \
		cmsl10.${TEN_AT_EIGHT}gf cmsl12.${TEN_AT_EIGHT}gf cmsl8.${TEN_AT_EIGHT}gf cmsl9.${TEN_AT_EIGHT}gf \
		cmsltt10.${TEN_AT_EIGHT}gf \
		cmss10.${TEN_AT_EIGHT}gf cmss12.${TEN_AT_EIGHT}gf cmss17.${TEN_AT_EIGHT}gf cmssbx10.${TEN_AT_EIGHT}gf \
		cmssi10.${TEN_AT_EIGHT}gf cmssi12.${TEN_AT_EIGHT}gf cmssi17.${TEN_AT_EIGHT}gf \
		cmssq8.${TEN_AT_EIGHT}gf cmssqi8.${TEN_AT_EIGHT}gf \
		cmsy10.${TEN_AT_EIGHT}gf \
		cmsy5.${TEN_AT_EIGHT}gf cmsy6.${TEN_AT_EIGHT}gf cmsy7.${TEN_AT_EIGHT}gf cmsy8.${TEN_AT_EIGHT}gf cmsy9.${TEN_AT_EIGHT}gf \
		cmtex10.${TEN_AT_EIGHT}gf cmtex9.${TEN_AT_EIGHT}gf \
		cmti10.${TEN_AT_EIGHT}gf cmti12.${TEN_AT_EIGHT}gf cmti7.${TEN_AT_EIGHT}gf cmti8.${TEN_AT_EIGHT}gf cmti9.${TEN_AT_EIGHT}gf \
		cmtt10.${TEN_AT_EIGHT}gf cmtt12.${TEN_AT_EIGHT}gf cmtt8.${TEN_AT_EIGHT}gf cmtt9.${TEN_AT_EIGHT}gf \
		cmu10.${TEN_AT_EIGHT}gf \
		cmapl10.${TEN_AT_EIGHT}gf cmb10.${TEN_AT_EIGHT}gf cmbxsl10.${TEN_AT_EIGHT}gf cmbxti10.${TEN_AT_EIGHT}gf cmex9.${TEN_AT_EIGHT}gf \
		cmff10.${TEN_AT_EIGHT}gf cmfi10.${TEN_AT_EIGHT}gf cmfib8.${TEN_AT_EIGHT}gf cmitt10.${TEN_AT_EIGHT}gf cmss8.${TEN_AT_EIGHT}gf \
		cmss9.${TEN_AT_EIGHT}gf cmssdc10.${TEN_AT_EIGHT}gf cmssi8.${TEN_AT_EIGHT}gf cmssi9.${TEN_AT_EIGHT}gf cmtcsc10.${TEN_AT_EIGHT}gf \
		cmtex8.${TEN_AT_EIGHT}gf cmvtt10.${TEN_AT_EIGHT}gf

TATNINE	= cmbsy10.${TEN_AT_NINE}gf \
		cmbx10.${TEN_AT_NINE}gf cmbx12.${TEN_AT_NINE}gf \
		cmbx5.${TEN_AT_NINE}gf cmbx6.${TEN_AT_NINE}gf cmbx7.${TEN_AT_NINE}gf cmbx8.${TEN_AT_NINE}gf cmbx9.${TEN_AT_NINE}gf \
		cmcsc10.${TEN_AT_NINE}gf \
		cmdunh10.${TEN_AT_NINE}gf cmex10.${TEN_AT_NINE}gf \
		cmmi10.${TEN_AT_NINE}gf cmmi12.${TEN_AT_NINE}gf \
		cmmi5.${TEN_AT_NINE}gf cmmi6.${TEN_AT_NINE}gf cmmi7.${TEN_AT_NINE}gf cmmi8.${TEN_AT_NINE}gf cmmi9.${TEN_AT_NINE}gf \
		cmmib10.${TEN_AT_NINE}gf \
		cmr10.${TEN_AT_NINE}gf cmr12.${TEN_AT_NINE}gf cmr17.${TEN_AT_NINE}gf \
		cmr5.${TEN_AT_NINE}gf cmr6.${TEN_AT_NINE}gf cmr7.${TEN_AT_NINE}gf cmr8.${TEN_AT_NINE}gf cmr9.${TEN_AT_NINE}gf \
		cmsl10.${TEN_AT_NINE}gf cmsl12.${TEN_AT_NINE}gf cmsl8.${TEN_AT_NINE}gf cmsl9.${TEN_AT_NINE}gf \
		cmsltt10.${TEN_AT_NINE}gf \
		cmss10.${TEN_AT_NINE}gf cmss12.${TEN_AT_NINE}gf cmss17.${TEN_AT_NINE}gf cmssbx10.${TEN_AT_NINE}gf \
		cmssi10.${TEN_AT_NINE}gf cmssi12.${TEN_AT_NINE}gf cmssi17.${TEN_AT_NINE}gf \
		cmssq8.${TEN_AT_NINE}gf cmssqi8.${TEN_AT_NINE}gf \
		cmsy10.${TEN_AT_NINE}gf \
		cmsy5.${TEN_AT_NINE}gf cmsy6.${TEN_AT_NINE}gf cmsy7.${TEN_AT_NINE}gf cmsy8.${TEN_AT_NINE}gf cmsy9.${TEN_AT_NINE}gf \
		cmtex10.${TEN_AT_NINE}gf cmtex9.${TEN_AT_NINE}gf \
		cmti10.${TEN_AT_NINE}gf cmti12.${TEN_AT_NINE}gf cmti7.${TEN_AT_NINE}gf cmti8.${TEN_AT_NINE}gf cmti9.${TEN_AT_NINE}gf \
		cmtt10.${TEN_AT_NINE}gf cmtt12.${TEN_AT_NINE}gf cmtt8.${TEN_AT_NINE}gf cmtt9.${TEN_AT_NINE}gf \
		cmu10.${TEN_AT_NINE}gf \
		cmapl10.${TEN_AT_NINE}gf cmb10.${TEN_AT_NINE}gf cmbxsl10.${TEN_AT_NINE}gf cmbxti10.${TEN_AT_NINE}gf cmex9.${TEN_AT_NINE}gf \
		cmff10.${TEN_AT_NINE}gf cmfi10.${TEN_AT_NINE}gf cmfib8.${TEN_AT_NINE}gf cmitt10.${TEN_AT_NINE}gf cmss8.${TEN_AT_NINE}gf \
		cmss9.${TEN_AT_NINE}gf cmssdc10.${TEN_AT_NINE}gf cmssi8.${TEN_AT_NINE}gf cmssi9.${TEN_AT_NINE}gf cmtcsc10.${TEN_AT_NINE}gf \
		cmtex8.${TEN_AT_NINE}gf cmvtt10.${TEN_AT_NINE}gf


FONTS =	$(TATFIVE) $(TATSIX) $(TATSVN) $(TATEIGHT) $(TATNINE) 

all:	$(FONTS)

# Nice bit of self-reference here, as DPI uses itself to recreate itself
#
magsteps:
	(base=$(DPI) ; \
	mode=$(MODE) ; \
	echo "DPI	= " $$base > magvals ; \
	echo "MODE	= " $$mode >> magvals ; \
	i=`/bin/expr $$base \* 500` ; \
	tenatfive=`/bin/expr $$i / 1000` ; \
	echo "TEN_AT_FIVE	= " $$tenatfive >> magvals ; \
	i=`/bin/expr $$base \* 600` ; \
	tenatsix=`/bin/expr $$i / 1000` ; \
	echo "TEN_AT_SIX	= " $$tenatsix >> magvals ; \
	i=`/bin/expr $$base \* 700` ; \
	tenatseven=`/bin/expr $$i / 1000` ; \
	echo "TEN_AT_SEVEN	= " $$tenatseven >> magvals ; \
	i=`/bin/expr $$base \* 800` ; \
	tenateight=`/bin/expr $$i / 1000` ; \
	echo "TEN_AT_EIGHT	= " $$tenateight >> magvals ; \
	i=`/bin/expr $$base \* 900` ; \
	tenatnine=`/bin/expr $$i / 1000` ; \
	echo "TEN_AT_NINE	= " $$tenatnine >> magvals ; \
	echo "# END MAGSTEPS DO NOT DELETE THIS LINE EITHER" >> magvals)
	cp Special.make Special.bak
	echo '/^# BEGIN MAGSTEPS/+2,/^# END MAGSTEPS/d|-1r magvals |w' | ex Special.make
#	echo '/^# DO NOT DELETE THIS LINE/+2,$$d|w' | ex Special.make
#	echo '# GENERATED DEPENDENCIES MUST BE AT EOF' >> Special.make
#	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Special.make

# DO NOT DELETE THIS LINE
# OR THIS LINE--the following rules are generated by make depend
# GENERATED DEPENDENCIES MUST BE AT EOF
# IF YOU PUT STUFF HERE IT WILL GO AWAY
