.ie t .ds TX \fRT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds TX TeX\" for nroff
.\" to use, type \*(TX
.if t .ds LX L\v'-.22m'\h'-.1667m'\s-3A\s+3\h'-.125m'\v'.22m'T\h'-.1667m'\v'.22m'E\h'-.125m'\v'-.22m'X
.if n .ds LX LaTeX
.\" to use, type \*(LX
.ie t .ds OX \fIT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds OX TeX\" for nroff
.\" the same but obliqued
.TH BIBTEX \*(TX 
.SH NAME
bibtex \- make a \*(TX or \*(LX bibliography
.SH SYNOPSIS
.B bibtex auxname
.SH DESCRIPTION
Bib\*(TX reads the top-level auxiliary
.I (.aux)
file that was output during the running of
.BR tex (\*(TX) latex (\*(TX)
and creates a bibliography
.I (.bbl)
file that will be incorporated into the document on subsequent runs 
of \*(TX or \*(LX.
The auxname on the command line must be given without the
.I .aux
extension.
.PP
Bib\*(TX looks up, in the bibliographic database
.I (.bib)
files,
the entries specified by the \\cite and \\nocite commands
in the \*(TX or \*(LX source file.
It formats the information from those entries
according to instructions in the style
.I (.bst)
file,
and it outputs the results to the
.I .bbl
file.
.PP
The \*(LX manual (aka
.I \*(LX - A Document Preparation System,
by Leslie Lamport)
explains what a \*(LX source file must contain to work with Bib\*(TX.
Appendix B of the \*(LX manual describes the format of the
.I .bib
files.
The "Bib\*(TXing" document describes extensions and details of that format,
and it gives other useful hints for using Bib\*(TX.
.SH ENVIRONMENT
.I bibtex
searches the directories in the 
path defined by the TEXINPUTS environment variable for
.I .bst
files.  If TEXINPUTS is not set, it uses the system default:
.BR .:/usr/local/lib/tex/inputs//	/* TeX sources */ .
For
.I .bib
files, it uses the BIBINPUTS environment variable in a similar way.  The
default path there is: 
.BR .:/usr/local/lib/tex/bibtex	/* bib files */ .
See
.BR tex (\*(TX)
for the details of the searching.
If the environment variable
\s-2TEXMFOUTPUT\s0 is set, Bib\*(TX attempts to put its output
files in it, if they cannot be put in the current directory.  Again, see
.BR tex (\*(TX).
No special searching is done for the
.I .aux
file.
.SH FILES
.TP 20
btxdoc.tex
"Bib\*(TX ing" \- \*(LX able documentation for general Bib\*(TX users
.TP
btxhak.tex
"Designing Bib\*(TX Styles" \- \*(LX able documentation for style designers
.TP
btxmac.tex
macros for using Bib\*(TX with plain \*(TX
.TP
btxdoc.bib
database file for those two documents
.TP
xampl.bib
database file giving examples of all standard entry types
.TP
btxbst.doc
template file and documentation for the standard styles
.PP
All those files should be available somewhere on the system.
.SH "SEE ALSO"
.BR latex (\*(TX),
.BR tex (\*(TX).
