.\" man page for dvips
.if t .ds LX L\\h'-0.36m'\\v'-0.15v'\\s-2A\\s+2\\h'-0.15m'\\v'0.15v'T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds LX LaTeX
.if t .ds TX T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds TX TeX
.TH DVIDVI \*(TX "9 August 1990"
.SH NAME
dvidvi \-  converts a dvi file into another dvi file.
.SH SYNOPSIS
.B dvidvi param [infile[.dvi] [outfile[.dvi]]]
.br
.SH DESCRIPTION
.ad b
.hy 14
The program
.B dvidvi 
converts a dvi file into another dvi file,
with perhaps certain changes.  
.P
What's that funny first parameter?  That's the parameter that tells
dvidvi how you want to change things.
.P
The number preceding the colon is the modulo value.  Everything
will be done in chunks of pages this big.  If there is no colon, than the
default value is assumed to be one.  The last chunk of pages is padded
with as many blank pages as necessary.
.P
Following the colon is a comma-separated list of page numbers.
These page numbers are with respect to the current chunk of pages, and
must lie in the range zero to the modulo value less one.  If a negative
sign precedes the number, then the page is taken from the mirror chunk;
if there are m chunks, then the mirror chunk of chunk n is the chunk
numbered m-n-1.  Put simply, it is the chunk numbered the same, only
from the end.  This can be used to reverse pages.  If no number is
given, the page number defaults to 0.
.P
Following each page number is an optional offset value in
parenthesis, which consists of a pair of comma-separated dimensions.
Each dimension is a decimal number with an optional unit of measure.
The default unit of measure is inches, or the last unit of measure
used.  All units are in true dimensions.  Allowable units of measure
are the same that TeX allows:  in, mm, cm, pt, pc, dd, and cc.
.P
Simple enough, eh?  Okay, let's do some simple things.
.SH OPTIONS
.IP \fB0\fP
The identity transformation.  A modulo of one is assumed; the only
reason we need to specify the zero is because a null parameter is
harder to type.
.IP \fB\-
Reverses the order of the pages.  This time, both the modulo and
the page number are defaulted.
.IP "\fB2:0\fP"
Selects the first, third, fifth, etc. pages from the file.  Print
this one after printing the next, taking the paper out of the
feed tray and reinserting it into the paper feed.
.IP "\fB2:-1\fP"
Selects the second, fourth, etc. pages, and writes them in reverse
order.
.IP "\fB4:-1,2(4.25in,0in)\fP"
.IP "\fB4:-3,0(4.25in,0in)\fP"
Useful for printing a little booklet, four pages to a sheet,
double-sided, for stapling in the middle.  Print the first one,
put the stack back into the printer upside down, and print the
second.  The `in' specifications are superfluous.
.IP "\fB,(1pt,1)\fP"
Scare your system administrator!  Actually, things are so
blurry with this option, you may want to send enemies letters
printed like this.  *Long* letters.
.IP "\fB4:0(5.5in,4.25),3(0,4.25)\fP"
.IP "\fB4:1(0in,4.25),2(5.5,4.25)\fP"
Print a four-page card on one sheet.  Print the first, rotate
the paper 180 degrees and feed it again.  (PostScript people
can do funny tricks with PostScript so this isn't necessary.)
