.TH TEXCHK \*(TX .\"3/13/85
.SH NAME
texchk - syntax checker for \*(LX.
.SH SYNOPSIS
.B texchk
[ -v -c ] [ file1 file2 ... ]
.SH DESCRIPTION
.ad b
.hy 14
By default
.I texchk 
reads from standard input and outputs error messages and whatnot to
standard error.  If filenames are given as arguments, each file is read
and parsed in turn.
.PP
.I texchk
checks for the proper nesting of matching '{' '}' and '[' ']' pairs,
matching '\\begin{<environment>}' '\\end{<environment>} pairs, and Math Mode
and Display Math Mode constructs.  If improper nesting is detected, an error
message consisting of a reason, a line number, and the actual line of text
on which the error occurred is displayed.
.PP
In general, the program will halt after finding and printing the first
error, because attempts at further diagnosis would likely result in a
stream of spurious error messages.  
.PP
Unlike \*(LX
.I texchk
is fast.  It can grovel over a large file in a matter of a few seconds,
and can be run repeatedly without causing the CPU to beg for mercy.
.PP
The command line options are:
.TP
.B \-v
Verbose option.  Produces on the standard output a trace of each environment
.I texchk 
enters and leaves, along with the number of the line it is currently 
processing.  This is used basically to assure yourself that
.I texchk
is actually doing something, if you give it a huge file to process.
(And is mildly interesting).
.TP
.B \-c
Check mode.  Tells
.I texchk
to check each keyword (e.g., \\hspace, \\mbox) in the file against a list of 
known keywords, and issue a warning if the keyword is not in the list.
Also, each keyword is checked as to whether it is only legal if given 
inside of math mode, and if so and if math mode is not enabled, an error
message is given (but processing continues).
.SH FILES
.\"/usr/src/local/cmd/texchk		source directory.
.\" .br
/usr/local/bin/texchk			executable image.
.SH AUTHOR
JP Massar, Thinking Machines Corporation
.SH BUGS
.I texchk
makes no claims to being perfect.  It is quite possible that an 'error'
flagged by
.I texchk
is not really an error at all if run through \*(LX.
.PP
It does not check for number of arguments, presence of optional arguments,
etc.
.PP
It does not know that certain keywords can only be used in certain modes.
.PP
It does not understand that '[' and ']' can be used in regular text
without necessarily being paired. Also, \\left], for example,
will confuse it totally.
.PP
Although not officially part of \*(LX, 
.I texchk
understands the '$$' construct of \*(TX.
