.ie t .ds TX \fRT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds TX TeX\" for nroff
.\" to use, type \*(TX
.if t .ds LX L\v'-.22m'\h'-.1667m'\s-3A\s+3\h'-.125m'\v'.22m'T\h'-.1667m'\v'.22m'E\h'-.125m'\v'-.22m'X
.if n .ds LX LaTeX
.\" to use, type \*(LX
.ie t .ds OX \fIT\v'+0.25m'E\v'-0.25m'X\fP\" for troff
.el .ds OX TeX\" for nroff
.\" the same but obliqued
.TH TFTOPL \*(TX "7 Jan 92"
.SH NAME
tftopl - convert font metric (tfm) files to property lists
.SH SYNOPSIS
.B tftopl
[-verbose] [-charcode-format=format] tfm_file_name [pl_file_name]
.SH DESCRIPTION
The
.I tftopl
program translates a (program-oriented) font metric file to a
(human-oriented) property list file.  Thus, you can edit the contents of
the TFM files, if the font designer has not done his or her job
properly, or if you're encountering strange difficulties, or if you're
just curious.  It also serves as a TFM-file validating program, i.e., if
no error messages are given, the input file is correct.
.PP
The
.I pl_file_name
must be complete. No adding of default extensions or path searching is
done.  If the
.I pl_file_name
is not given, standard output is used. On the other hand,
.I tftopl
looks for
.I tfm_file_name
first in the current directory.  If it is not present there, it uses the
variables TEXFONTS.  If this is not set, it uses the system defaults:
.br
TEXFONTS:
.BR .:/usr/local/lib/tex/fonts/tfm	/* TFM fonts */ ,
.br
See 
.BR tex (\*(TX)
for the details of the searching.
.SH OPTIONS
Without the
.I -verbose
option,
.I tftopl
operates silently.  With it, a banner and progress report are printed on
.IR stdout .
.PP
The argument
.I format
to 
.I -charcode-format
specifies how character codes are output in the PL file.  By
default, only letters and digits are output using the
.B C
integer code (i.e., in ASCII); the others are output in octal.  (Unless
the font's coding scheme starts with
.B \*(TX math sy
or
.BR \*(TX math ex ,
that is, when all are output in octal.)  If
.I format
is
.BR ascii ,
all character codes that correspond to graphic characters, besides the
left and right parentheses, are output in ASCII.  On the other hand, if
.I format
is
.BR octal ,
all character codes are output in octal.
.PP
See
.BR tex (\*(TX)
for the details of specifying options.
.SH "SEE ALSO"
pltotf(\*(TX)
.br
Donald Knuth,
.I \*(TXware, The M\s-2ETAFONT\s0book
.SH AUTHORS
Donald Knuth wrote the program. It was published as
part of the
.I \*(TXware
technical report, available from the \*(TX Users Group.
Howard Trickey and Pavel Curtis originally ported it to Unix.
